import java.util.*; 

     
/**
 * Klasse LKW.
 * 
 * @author Alexander Dietz 
 * @version 7. Mrz 2007
 */

public class LKW
{

    private Reifen reifen1;
    private Reifen reifen2;
    private Reifen reifen3;
    
    private Rechteck rechteck1;
    private Rechteck rechteck2;
    private Rechteck rechteck3;
    private Rechteck rechteck4;
  
    
    private int groesse, hoehe;
    private int reifenradius;
    
    
    // x,y : linkere obere Ecke
    // g: Breite des LKWs
   public LKW (int x, int y, int g)
   {
        
        groesse=g;
        hoehe = groesse / 4;
        reifenradius= hoehe / 2;  
        
        reifen1 = new Reifen(x+2*reifenradius,y+hoehe+reifenradius,reifenradius);
        reifen2 = new Reifen(x+4*reifenradius,y+hoehe+reifenradius,reifenradius);
        reifen3 = new Reifen(x+groesse+reifenradius,y+hoehe+reifenradius,reifenradius);
        
        rechteck1 = new Rechteck(x,y,groesse,hoehe,"blau");
        rechteck2 = new Rechteck(x,y+hoehe,groesse,hoehe/3,"rot");
        rechteck3 = new Rechteck(x+groesse,y-4,hoehe,hoehe*4/3,"gelb");
        rechteck4 = new Rechteck(x+groesse+hoehe/4,y+3,hoehe*3/4,30,"schwarz");
        
    }
       
     public void zeichnen()
     {     
       rechteck1.zeichnen();     
       rechteck2.zeichnen();    
       rechteck3.zeichnen();       
       rechteck4.zeichnen();
       reifen1.zeichnen();
       reifen2.zeichnen();
       reifen3.zeichnen();
     }
    
    public void loeschen()
    {
        rechteck1.loeschen();
        rechteck2.loeschen();
        rechteck3.loeschen();
        rechteck4.loeschen(); 
        reifen1.loeschen();
        reifen2.loeschen();
        reifen3.loeschen();
    }
    
     public void versetzen(int dx, int dy)
     {     
        loeschen();
        rechteck1.verschieben(dx,dy);
        rechteck2.verschieben(dx,dy);
        rechteck3.verschieben(dx,dy);
        rechteck4.verschieben(dx,dy);
        reifen1.versetzen(dx,dy);
        reifen2.versetzen(dx,dy);
        reifen3.versetzen(dx,dy);
        zeichnen();
      }
        
      public int getLinkeEcke()
      {
         return rechteck1.getX();
      }
        
      public int getRechteEcke()
      {
          return (rechteck4.getX()+rechteck4.getBreite());
      }
               
}
